---
title: "RichTextInput"
generated: true
---
<GenerationInfo sourceFile="packages/dashboard/src/lib/components/data-input/rich-text-input.tsx" sourceLine="12" packageName="@vendure/dashboard" />

A component for displaying a rich text editor. Internally uses ProseMirror (rich text editor) under the hood.

```ts title="Signature"
function RichTextInput(props: Readonly<DashboardFormComponentProps>): void
```
Parameters

### props

<MemberInfo kind="parameter" type={`Readonly<<a href='/reference/dashboard/extensions-api/form-components#dashboardformcomponentprops'>DashboardFormComponentProps</a>>`} />

